Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/ExhaustiveOneBitflipMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/ExhaustiveOneBitflipMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/ExhaustiveOneBitflipMoveGenerator.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("ExhaustiveBitflipMoveGenerator", "Generates all possible one bitflip moves from a given binaryVector.")]
-  [StorableClass("FBB72355-CF9A-4563-A287-2341AD29478C")]
+  [StorableType("FBB72355-CF9A-4563-A287-2341AD29478C")]
   public sealed class ExhaustiveOneBitflipMoveGenerator : OneBitflipMoveGenerator, IExhaustiveMoveGenerator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMove.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMove.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMove.cs	(revision 14711)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("OneBitflipMove", "Item that describes a one bitflip move.")]
-  [StorableClass("6DA21E91-4119-49A0-8938-16B5AE572288")]
+  [StorableType("6DA21E91-4119-49A0-8938-16B5AE572288")]
   public class OneBitflipMove : OneIndexMove {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveAttribute.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveAttribute.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveAttribute.cs	(revision 14711)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("OneBitflipMoveAttribute", "Describes the attributes (move quality and index) of a single bitflip move.")]
-  [StorableClass("8DC57BFD-A38C-4FB8-9FFC-8F311A111D58")]
+  [StorableType("8DC57BFD-A38C-4FB8-9FFC-8F311A111D58")]
   public class OneBitflipMoveAttribute : Item {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveGenerator.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("OneBitflipMoveGenerator", "Base class for all one bitflip move generators.")]
-  [StorableClass("FAD7A237-11BA-498E-BD0A-ABEF98FD8A42")]
+  [StorableType("FAD7A237-11BA-498E-BD0A-ABEF98FD8A42")]
   public abstract class OneBitflipMoveGenerator : SingleSuccessorOperator, IOneBitflipMoveOperator, IMoveGenerator {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveMaker.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("OneBitflipMoveMaker", "Peforms a one bitflip move on a given BitVector and updates the quality.")]
-  [StorableClass("DC93325B-036E-42AC-B5DF-C1CCFAA47680")]
+  [StorableType("DC93325B-036E-42AC-B5DF-C1CCFAA47680")]
   public class OneBitflipMoveMaker : SingleSuccessorOperator, IOneBitflipMoveOperator, IMoveMaker, ISingleObjectiveOperator {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveTabuChecker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveTabuChecker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveTabuChecker.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("OneBitflipMoveTabuChecker", "Prevents peforming a one bitflip move again.")]
-  [StorableClass("07C94C79-085B-4023-94B9-7B8E975C1CFD")]
+  [StorableType("07C94C79-085B-4023-94B9-7B8E975C1CFD")]
   public class OneBitflipMoveTabuChecker : SingleSuccessorOperator, IOneBitflipMoveOperator, ITabuChecker {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveTabuMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveTabuMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/OneBitflipMoveTabuMaker.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("OneBitflipMoveTabuMaker", "Declares a given one bitflip move as tabu, by adding its attributes to the tabu list. It also removes the oldest entry in the tabu list when its size is greater than tenure.")]
-  [StorableClass("9D1F7A8A-0415-4DE7-B991-4454F49EFDDC")]
+  [StorableType("9D1F7A8A-0415-4DE7-B991-4454F49EFDDC")]
   public class OneBitflipMoveTabuMaker : TabuMaker, IOneBitflipMoveOperator {
     public ILookupParameter<BinaryVector> BinaryVectorParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/StochasticOneBitflipMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/StochasticOneBitflipMultiMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/StochasticOneBitflipMultiMoveGenerator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("StochasticOneBitflipMultiMoveGenerator", "Randomly samples n from all possible one bitflip moves from a given BinaryVector.")]
-  [StorableClass("24932850-6BD7-49BC-B8FD-286FC76C4E5E")]
+  [StorableType("24932850-6BD7-49BC-B8FD-286FC76C4E5E")]
   public class StochasticOneBitflipMultiMoveGenerator : OneBitflipMoveGenerator, IStochasticOperator, IMultiMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/StochasticOneBitflipSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/StochasticOneBitflipSingleMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.BinaryVectorEncoding/3.3/Moves/OneBitflipMove/StochasticOneBitflipSingleMoveGenerator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.BinaryVectorEncoding {
   [Item("StochasticOneBitflipSingleMoveGenerator", "Randomly samples a single from all possible one bitflip moves from a given BinaryVector.")]
-  [StorableClass("62370CB2-80EC-4141-B093-A38D0706B868")]
+  [StorableType("62370CB2-80EC-4141-B093-A38D0706B868")]
   public class StochasticOneBitflipSingleMoveGenerator : OneBitflipMoveGenerator, IStochasticOperator, ISingleMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
